#ifndef AlienCommandDialog_h
#define AlienCommandDialog_h

// $Id: AlienCommandDialog.h,v 1.1 2012/01/20 08:16:59 hpereira Exp $

/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* software; if not, write to the Free Software Foundation, Inc., 59 Temple
* Place, Suite 330, Boston, MA  02111-1307 USA
*
*
*******************************************************************************/

#include "CustomDialog.h"
#include "AlienCommand.h"
#include "Key.h"

#include <QtCore/QAbstractItemModel>
#include <QtGui/QAction>

class TreeView;

//! show list of pending commands
class AlienCommandDialog: public CustomDialog, public BASE::Key
{

    Q_OBJECT

    public:

    //! constructor
    AlienCommandDialog( QWidget* parent );

    //! destructor
    virtual ~AlienCommandDialog( void )
    {}

    //! list
    TreeView& list( void ) const
    {
        assert( list_ );
        return *list_;
    }

    //! model
    void setModel( QAbstractItemModel* );

    signals:

    // emitted when a command is aborted
    void commandAborted( AlienCommand );

    protected slots:

    //! update actions
    void _updateActions( void );

    //! abort selected commands
    void _abortCommands( void );

    private:

    //! user selection frame
    TreeView* list_;

    //! actions
    QAction* abortAction_;

};
#endif
