// $Id: JobManagerFrame.cpp,v 1.5 2011/11/08 08:29:39 hpereira Exp $

/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* software; if not, write to the Free Software Foundation, Inc., 59 Temple
* Place, Suite 330, Boston, MA  02111-1307 USA
*
*
*******************************************************************************/

/*!
\file JobManagerFrame.cc
\brief customized QVBox to recieve close event
\author Hugo Pereira
\version $Revision: 1.5 $
\date $Date: 2011/11/08 08:29:39 $
*/

#include "JobManager.h"
#include "JobManagerFrame.h"
#include "SummaryFrame.h"

//___________________________________________
JobManagerFrame::JobManagerFrame( QWidget* parent ):
    QWidget( parent ),
    Counter( "JobManagerFrame" ),
    detached_( false )
{
    Debug::Throw( "JobManagerFrame::JobManagerFrame.\n" );

    // horizontal layout for summary frame and JobManager
    QHBoxLayout *h_layout( new QHBoxLayout() );
    h_layout->setMargin(0);
    h_layout->setSpacing(0);
    setLayout( h_layout );

    // sumary frame in a vertical layout
    QVBoxLayout *left_layout( new QVBoxLayout() );
    left_layout->setMargin(0);
    left_layout->setSpacing(2);
    h_layout->addLayout( left_layout );
    left_layout->addWidget( summaryFrame_ = new SummaryFrame( this ), 0 );
    left_layout->addStretch( 1 );

    // jobManager
    h_layout->addWidget( jobManager_ = new JobManager( this ), 1 );

    connect( &summaryFrame(), SIGNAL( attached( bool ) ), SLOT( toggleAttached( bool ) ) );

    Debug::Throw( "JobManagerFrame::JobManagerFrame - done.\n" );

}

//________________________________________________________________________
JobManagerFrame::~JobManagerFrame( void )
{ Debug::Throw( "JobManagerFrame::~JobManagerFrame.\n" ); }

//________________________________________________________________________
void JobManagerFrame::setUser( const QString& value ) const
{
    jobManager().setUser( value );
    summaryFrame().setUser( value );
}
