#ifndef JobSet_h
#define JobSet_h

// $Id: JobSet.h,v 1.2 2011/10/30 15:21:33 hpereira Exp $

/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* software; if not, write to the Free Software Foundation, Inc., 59 Temple
* Place, Suite 330, Boston, MA  02111-1307 USA
*
*******************************************************************************/

#include "Counter.h"
#include "Job.h"

#include <QtXml/QDomDocument>
#include <QtXml/QDomElement>
#include <set>

//! set of jobs
class JobSet: public std::set<Job>
{

    public:

    //! constructor
    JobSet(): active_( false )
    {}

    //! construct from dom element
    JobSet( const QDomElement& );

    //! dom element
    QDomElement domElement( QDomDocument& ) const;

    //! owner
    QString owner( void ) const
    { return owner_; }

    //! owner
    void setOwner( const QString& owner )
    { owner_ = owner; }

    //! active
    bool isActive( void ) const
    { return active_; }

    //! active
    void setActive( bool value )
    { active_ = value; }

    //! assign children flags
    void checkChildren( void );

    private:

    //! active
    bool active_;

    //! owner
    QString owner_;

};

#endif
