
// $Id: NewFrameDialog.cpp,v 1.1 2011/10/28 10:47:31 hpereira Exp $

/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* software; if not, write to the Free Software Foundation, Inc., 59 Temple
* Place, Suite 330, Boston, MA  02111-1307 USA
*
*
*******************************************************************************/

/*!
\file NewFrameDialog.cpp
\brief select user name to be displayed in new frame
\author Hugo Pereira
\version $Revision: 1.1 $
\date $Date: 2011/10/28 10:47:31 $
*/

#include "NewFrameDialog.h"
#include "UserSelectionFrame.h"

#include <QtGui/QLabel>

//__________________________________________________
NewFrameDialog::NewFrameDialog( QWidget* parent ):
CustomDialog( parent, OkButton | CancelButton )
{

    Debug::Throw( "NewFrameDialog::NewFrameDialog.\n" );
    setWindowTitle( "Select User - Top" );

    setOptionName( "NEW_FRAME_DIALOG" );

    mainLayout().addWidget( new QLabel( "Select user name: ", this ) );
    mainLayout().addWidget( userSelectionFrame_ = new UserSelectionFrame( this ) );

}
