#ifndef SummaryBar_h
#define SummaryBar_h

// $Id: SummaryBar.h,v 1.3 2011/11/21 14:33:55 hpereira Exp $

/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* software; if not, write to the Free Software Foundation, Inc., 59 Temple
* Place, Suite 330, Boston, MA  02111-1307 USA
*
*
*******************************************************************************/

/*!
\file SummaryBar.h
\brief display read/write progress and file name
\author Hugo Pereira
\version $Revision: 1.3 $
\date $Date: 2011/11/21 14:33:55 $
*/

#include "Counter.h"
#include "JobStatistics.h"

#include <QtGui/QPaintEvent>
#include <QtGui/QProgressBar>

//! display command progress and remaining time
class SummaryBar:public QProgressBar, public Counter
{

    Q_OBJECT

    public:

    //! constructor
    SummaryBar( QWidget* parent = 0 );

    public slots:

    //! update labels from integer inputs
    void updateJobStatistics( JobStatistics );

    protected:

    //! paint
    void paintEvent( QPaintEvent* );

    private slots:

    //! configuration
    void _updateConfiguration( void );

    private:

    //! job statistics
    JobStatistics statistics_;

    //!@name job status colors
    //@{

    //! running jobs
    QColor runningJobColor_;

    //! running jobs
    QColor completedJobColor_;

    //! failed jobs
    QColor failedJobColor_;

    //@}

};

#endif
